### 5.1.5 char

`Syntax:`
  `char (` ring_name `)`
`Type:`
  int
`Purpose:`
  returns the characteristic of the coefficient field of a ring.
`Example:`

        ring r=32003,(x,y),dp;
        char(r);
      ==> 32003
        ring s=0,(x,y),dp;
        char(s);
      ==> 0
        ring ra=(7,a),(x,y),dp;
        minpoly=a^3+a+1;
        char(ra);
      ==> 7
        ring rp=(49,a),(x,y),dp;
        char(rp);
      ==> 7
        ring rr=real,x,dp;
        char(rr);
      ==> 0

See charstr; ring.

User manual for Singular version 4.4.1, 2025, generated by texi2html.